Depends on the adaptation version number

When Dubbo-go releases a new version, update the version it currently depends on.

DependencyDubbo-goTripleprotoc-gen-go-triple
v3.0.1v1.1.8v1.0.8
v3.0.0v1.1.6v1.0.5
v3.0.0-rc4-1v1.1.3v1.0.2
v3.0.0-rc3v1.0.9v1.0.0

Last modified January 2, 2023: Enhance Dubbogo docs (#1800) (71c8e7227)